Bug 1898141 - python-docopt fails to build in rawhide and Fedora 33 with pytest 6
Summary: python-docopt fails to build in rawhide and Fedora 33 with pytest 6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-docopt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-16 14:09 UTC by Miro Hrončok
Modified: 2020-12-02 19:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-02 19:13:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-11-16 14:09:19 UTC
python-docopt fails to build in rawhide with pytest 6.


+ py.test-3.9 -v
============================= test session starts ==============================
platform linux -- Python 3.9.0, pytest-6.0.2, py-1.9.0, pluggy-0.13.1 -- /usr/bin/python3
cachedir: .pytest_cache
rootdir: /builddir/build/BUILD/docopt-0.6.2
collecting ... collected 0 items / 1 error
==================================== ERRORS ====================================
________________________ ERROR collecting test session _________________________
/usr/lib/python3.9/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.9/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
conftest.py:14: in pytest_collect_file
    return DocoptTestFile(path, parent)
/usr/lib/python3.9/site-packages/_pytest/nodes.py:95: in __call__
    warnings.warn(NODE_USE_FROM_PARENT.format(name=self.__name__), stacklevel=2)
E   pytest.PytestDeprecationWarning: Direct construction of DocoptTestFile has been deprecated, please use DocoptTestFile.from_parent.
E   See https://docs.pytest.org/en/stable/deprecations.html#node-construction-changed-to-node-from-parent for more details.
=========================== short test summary info ============================
ERROR  - pytest.PytestDeprecationWarning: Direct construction of DocoptTestFi...
!!!!!!!!!!!!!!!!!!!! Interrupted: 1 error during collection !!!!!!!!!!!!!!!!!!!!
=============================== 1 error in 0.26s ===============================


As a stop gap measure, here is a PR that postpones the breakage:

https://src.fedoraproject.org/rpms/python-docopt/pull-request/6


Python packages that fail to build from source block our test rebuilds with Python 3.10.

Comment 1 Miro Hrončok 2020-12-01 19:47:18 UTC
The pull request is open for 3+ weeks. https://src.fedoraproject.org/rpms/python-docopt/pull-request/6 Can you please merge it? If you don't have time maintaining this package, consider orphaning it, so others can take it.

Thanks

Comment 2 Michal Minar 2020-12-02 17:15:55 UTC
Package ownership being transfered to Carl.
Bug kudos to Carl for taking over!

Comment 3 Miro Hrončok 2020-12-02 19:13:55 UTC
Thanks. My PR was merged by Troy.


Note You need to log in before you can comment on or make changes to this bug.